* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

@font-face {
  font-family: myretrofont;
  src: url('retrofont.woff') format('woff');
  unicode-range: U+000-5FF;
}

@font-face {
  font-family: mypixelfont;
  src: url('pixelfont.woff') format('woff');
  unicode-range: U+000-5FF;
}

body{
  background-color: #000000;
  background: repeating-linear-gradient(-45deg, #090909 0%, #090909 20%, #000000 0%, #000000 50%) 0 / 20px 20px;
  font-family: mypixelfont;
  display: flex;
  flex-direction: column;
  align-items:center;  
  justify-content: center;
  color: white;
  font-size: 1.2vw;
  cursor: none;
  overflow-x: hidden;
  -webkit-font-smoothing: none;
}

main{
  display:flex;
  flex-wrap:wrap;
  width: 90vw;	
  justify-content: center;
}

footer{
  margin-left: 5%;
  width: 40%;
  color: white;
  text-shadow: 0px 0px 2px #FF1177, 0px 0px 2px #FF1177, 0px 0px 2px #FF1177, 0px 0px 4px #FF1177, 0px 0px 4px #FF1177;
}

article{
  display: flex;
  flex-direction: column;
  align-items:center;  
  justify-content: center;
}

a{
  cursor: none;	
}

article>a{  
  margin-left: 5vw;
  margin-top: 5vh;
  margin-bottom: 5vh;
}

a:link, a:visited, a:active{
	color: white;
	text-decoration: none;
}

.ctext{
	text-align: center;
	width: 6vw;
}

h1{
  font-family: myretrofont;
  animation: 10s blink infinite;
}

.box {
  position: absolute;
  margin: 0;
  z-index:10;
  border-radius: 50px;
  overflow: hidden;
  pointer-events: none;
}

@keyframes tourne{
	0%{transform:rotate(0deg);}
	100%{transform:rotate(360deg);}
}

@keyframes changecouleur{
    0%{filter:hue-rotate(170deg); }
	50%{filter:hue-rotate(280deg);}
	100%{filter:hue-rotate(170deg); }
}

@keyframes blink{
    0%{opacity: 1;}
	49%{opacity: 1;}
	50%{opacity: 0;}
	51%{opacity: 1;}
	52%{opacity: 0;}
	53%{opacity: 1;}
	100%{opacity: 1;}
}

.circle{
  width: 6vw;
  height: 6vw;
  border-radius: 6vw;
  background-color: black;
  float: left;
  display: inline-block; 
  box-shadow: 0px 0px 20px white;
  margin-bottom: 20px;
  background-image: url('swirl.jpg');
  background-position: 50% 50%;
  z-index: 1;
  animation: 1s tourne infinite linear, 5s changecouleur infinite linear;
}

.circle:hover{
  box-shadow: 0px 0px 20px #FF1177;
}

#framecontainer {
	margin-left: 1vw;
	margin-top: 1vh;
	width: 88vw;
	height: 84vh;
	left: 5vw;
	top: 1vh;
	z-index: 90;
	cursor: initial;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

#myframe{
	width: 84vw;
	height: 84vh;
	border: none;
	overflow: hidden;
}

#popup {
	width: 90vw;
	padding-bottom: 2vh;
	position: fixed;
	left: 5vw;
	top: 0.5vh;
	box-shadow: 0px 0px 5px white;
	background: radial-gradient(silver, black);
	z-index: 100;
	cursor: initial;
	overflow: hidden;
}

#closebutton{
	margin-left: 1vw;
	margin-right: 1vw;
	width: auto;
	padding-top: 10px;
	padding-bottom: 10px;
	background-color: white;
	border-radius: 20px;
	font-size: 4vw;
	text-align: center;
	color: black;
	cursor: initial;
}

#closebutton:hover{	
	color: #FF1177;
	box-shadow: 0px 0px 20px #FF1177;
	cursor: initial;
}

#title {  
  width: 100%;
  text-align: center;
  font-size: 4vw;
  margin: 20px 0px 60px 0px;
  color: #FFFFFF;   
  text-shadow: 0px 0px 10px #FFFFFF, 0px 0px 20px #FFFFFF, 0px 0px 40px #FF1177, 0px 0px 70px #FF1177, 0px 0px 80px #FF1177, 0px 0px 100px #FF1177, 0px 0px 150px #FF1177;
  text-decoration: none;      
}

#title:hover {
  color: #FF1177;  
}

@keyframes appear{
	0%{transform:scaleY(1);}
	100%{transform:scaleY(0);}
}

#subtitleeffect{
	width: 100%;
	height: 1.8vw;
	position: absolute;
	left: 0px;
	top: -100px;	
	background: black;
}

nav{
	width: 80%;
	display:flex;
	flex-direction: row;
	justify-content: space-around;			
}

nav>a{
	box-shadow: 0px 0px 5px white, 0px 0px 5px white, 0px 0px 5px white, 0px 0px 5px white;
	background: linear-gradient(10deg, black, #5F5F5F);
	padding: 10px;
	flex: 1;
	font-size: 1vw;	
	margin: 40px 5% 20px 5%;
	letter-spacing: 5px;
	font-family: impact;
	text-align: center;
}

nav>a:hover{
	box-shadow: 0px 0px 5px #FF1177, 0px 0px 5px #FF1177, 0px 0px 5px #FF1177, 0px 0px 5px #FF1177;	
}

@media all and (max-width: 2200px){
    .circle{
        width: 9vw;
        height: 9vw;  
        border-radius: 9vw;
    }
    .ctext{
    	text-align: center;
    	width: 9vw;
    }
    body{
        font-size: 1.7vw;	
    }
    nav>a{
        font-size: 2vw;	
    }
}

@media all and (max-width: 1600px){
    .circle{
        width: 12vw;
        height: 12vw;  
        border-radius: 12vw;
    }
    .ctext{
    	text-align: center;
    	width: 12vw;
    }
    body{
        font-size: 2vw;	
    }
    nav>a{
        font-size: 2vw;	
    }
}

@media all and (max-width: 1000px){
    .circle{
        width: 18vw;
        height: 18vw;  
        border-radius: 18vw;
    }
    .ctext{
    	text-align: center;
    	width: 18vw;
    }
    body{
        font-size: 4vw;	
    }
    nav>a{
        font-size: 3vw;	
    }
}

@media all and (max-width: 600px){
    .circle{
        width: 27vw;
        height: 27vw;  
        border-radius: 27vw;
    }
    .ctext{
    	text-align: center;
    	width: 27vw;
    }
    body{
        font-size: 6vw;	
    }
    nav>a{
        font-size: 3.5vw;	
    }
}
